Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

New Call Queue policy APIs and expanded Zoom Phone policy settings

API release

Summary:Introduced Call Queue policy APIs and added new fields across Zoom Phone resources to support call screening, SMS automation, voicemail settings, transcription language, and routing.

Added

  • New Call Queues APIs:
    • PATCH /v2/phone/call_queues/{callQueueId}/policies
    • PATCH /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/policies
    • GET /v2/phone/call_queues/{callQueueId}/policies
    • GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/policies

Enhancements

  • New share,call_screening,voicemail_greeting_enforcement_preamble_postamble,block_calls_without_caller_id,auto_delete_data_after_retention_duration,sms_template,sms_auto_reply,team_sms_thread_summary response fields in the following Auto Receptionists APIs:
    • GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/policies
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}/policies
  • New online_fax,voicemail_notification_by_email,shared_line_group_pickup_code,auto_delete_data_after_retention_duration,block_calls_without_caller_id,voicemail_transcription,call_screening response fields in the following Shared Line Group APIs:
    • GET /v2/phone/shared_line_groups/{sharedLineGroupId}/policies
    • GET /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/policies
  • New call_screening,voicemail_transcription,auto_delete_data_after_retention_duration,voicemail_notification_by_email,online_fax,shared_line_group_pickup_code request fields in the following Shared Line Group APIs:
    • PATCH /v2/phone/shared_line_groups/{sharedLineGroupId}/policies
    • PATCH /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/policies
  • New sms_template,team_sms_thread_summary,sms_auto_reply,auto_delete_data_after_retention_duration,block_calls_without_caller_id,voicemail_greeting_enforcement_preamble_postamble,call_screening request fields in the following Auto Receptionists APIs:
    • PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/policies
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/policies
  • New manage_call_routing_for_unassigned_numbers,shared_line_group_pickup_code request fields in the following Sites APIs:
    • PATCH /v2/phone/sites/{siteId}
    • PATCH /v2/accounts/{accountId}/phone/sites/{siteId}
  • New default_transcription_language request field in the following Users APIs:
    • PATCH /v2/phone/users/{userId}/settings
    • PATCH /v2/accounts/{accountId}/phone/users/{userId}/settings
  • New default_transcription_language request field in the following Common Areas APIs:
    • PATCH /v2/phone/common_areas/{commonAreaId}
    • PATCH /v2/accounts/{accountId}/phone/common_areas/{commonAreaId}
  • New online_fax response field in the following Users APIs:
    • GET /v2/accounts/{accountId}/phone/users/{userId}
    • GET /v2/phone/users/{userId}
  • New default_transcription_language response field in the following Call Queues APIs:
    • GET /v2/phone/call_queues/{callQueueId}
    • GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}
  • New default_transcription_language request field in the following Shared Line Group APIs:
    • PATCH /v2/phone/shared_line_groups/{slgId}
    • PATCH /v2/accounts/{accountId}/phone/shared_line_groups/{slgId}
  • New default_transcription_language response field in the following Auto Receptionists APIs:
    • GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}
  • New online_fax request field in the following Users APIs:
    • PATCH /v2/accounts/{accountId}/phone/users/{userId}
    • PATCH /v2/phone/users/{userId}
  • New default_transcription_language response field in the following Common Areas APIs:
    • GET /v2/phone/common_areas/{commonAreaId}
    • GET /v2/accounts/{accountId}/phone/common_areas/{commonAreaId}
  • New default_transcription_language request field in the following Auto Receptionists APIs:
    • PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}
  • New default_transcription_language response field in the following Shared Line Group APIs:
    • GET /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}
    • GET /v2/phone/shared_line_groups/{sharedLineGroupId}
  • New manage_call_routing_for_unassigned_numbers response field in the following Accounts APIs:
    • GET /v2/phone/account_settings
    • GET /v2/accounts/{accountId}/phone/account_settings
  • New default_transcription_language request field in the following Call Queues API:
    • PATCH /v2/phone/call_queues/{callQueueId}
  • New share request field in the following Auto Receptionists APIs:
    • POST /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
    • POST /v2/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
    • PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
  • New default_transcription_language response field in the following Users APIs:
    • GET /v2/phone/users/{userId}/settings
    • GET /v2/accounts/{accountId}/phone/users/{userId}/settings
  • New shared_line_group_pickup_code,manage_call_routing_for_unassigned_numbers response fields in the following Sites APIs:
    • GET /v2/phone/sites/{siteId}
    • GET /v2/accounts/{accountId}/phone/sites/{siteId}